Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Ubuntu User (http://www.linux-archive.org/ubuntu-user/)
-   -   policykit: Support tmpfs /var/run (http://www.linux-archive.org/ubuntu-user/1641-policykit-support-tmpfs-var-run.html)

Martin Pitt 11-20-2007 08:21 PM

policykit: Support tmpfs /var/run
 
Package: policykit
Version: 0.6-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu hardy ubuntu-patch

Hi!

PK currently breaks if /var/run is a tmpfs and thus /var/run/PolicyKit
does not exist. Attached patch introduces an init script which
rectifies this.

I used this changelog for Ubuntu:

* Add debian/policykit.init: Create /var/run/PolicyKit if it does not exist.
This happens if /var/run is on a tmpfs.
* debian/rules: Install init script.

Thank you for considering,

Martin
--
Martin Pitt http://www.piware.de
Ubuntu Developer http://www.ubuntu.com
Debian Developer http://www.debian.org
diff -u policykit-0.6/debian/rules policykit-0.6/debian/rules
--- policykit-0.6/debian/rules
+++ policykit-0.6/debian/rules
@@ -11,0 +12 @@
+DEB_DH_INSTALLINIT_ARGS := -r -- start 01 2 3 4 5 . stop 99 1 .
--- policykit-0.6.orig/debian/policykit.init
+++ policykit-0.6/debian/policykit.init
@@ -0,0 +1,31 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: policykit
+# Required-Start: $local_fs
+# Required-Stop: $local_fs
+# Default-Start: 2 3 4 5
+# Default-Stop:
+# Short-Description: Create PolicyKit runtime directories
+# Description: Create directories which PolicyKit needs at runtime,
+# such as /var/run/PolicyKit
+### END INIT INFO
+
+# Author: Martin Pitt <martin.pitt@ubuntu.com>
+
+case "$1" in
+ start)
+ if ! [ -d /var/run/PolicyKit ]; then
+ mkdir -p /var/run/PolicyKit
+ chown polkituser:polkituser /var/run/PolicyKit
+ chmod 775 /var/run/PolicyKit
+ fi
+ ;;
+ stop|restart|force-reload)
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+ exit 3
+ ;;
+esac
+
+:
--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users


All times are GMT. The time now is 06:18 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.